#ifndef TEXTURE_HPP
#define TEXTURE_HPP
#include <Eigen/Core>
using Color = Eigen::Vector3f;
struct texture{
    virtual Eigen::Vector3f eval(float u, float v)const{
        return Eigen::Vector3f(1,1,1);
    }
};
struct uni_texture : texture{
    Color c;
    uni_texture(const Color& _c) : c(_c){}
    virtual Eigen::Vector3f eval(float u, float v)const override{
        return c;
    }
};
#endif